Bug 251921 - devel/myrepos: reintroduce port, update to 1.20180726
Summary: devel/myrepos: reintroduce port, update to 1.20180726
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rainer Hurling
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2020-12-17 18:50 UTC by Chris Hutchinson
Modified: 2020-12-29 16:48 UTC (History)
1 user (show)

See Also:


Attachments
svn diff for devel/myrepos (3.40 KB, patch)
2020-12-17 18:50 UTC, Chris Hutchinson
no flags Details | Diff
QA log for devel/myrepos (2.27 KB, text/plain)
2020-12-17 18:57 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2020-12-17 18:50:27 UTC
Created attachment 220672 [details]
svn diff for devel/myrepos

Reintroduce devel/myrepos to the ports tree.
This port was removed from the ports tree back in
2020-05-05 for lack of working MASTER_SITES.
This pr adds 2 MASTER_SITES, updates port to
1.20180726, assigns MAINTAINER to me and updates
MOVED.

Changes

modifys
MOVED

adds
devel/myrepos
devel/myrepos/Makefile
devel/myrepos/distinfo
devel/myrepos/pkg-descr
devel/myrepos/pkg-plist

Fetches/Builds/Tests/Functions on 12.1/amd64

svn diff attached

That's it.

Thanks!

--Chris
Comment 1 Chris Hutchinson 2020-12-17 18:57:01 UTC
Created attachment 220674 [details]
QA log for devel/myrepos

QA log for devel/myrepos
Comment 2 Chris Hutchinson 2020-12-28 23:58:58 UTC
ping
Comment 3 Rainer Hurling freebsd_committer 2020-12-29 08:56:44 UTC
Hi Chris, I will take it :)


In a first look I found three smaller issues:

(1)
--- Makefile.orig	2020-12-29 09:46:51.203616000 +0100
+++ Makefile	2020-12-29 09:46:38.147677000 +0100
@@ -29,7 +29,7 @@
 
 do-install-DOCS-on:
 	(cd ${WRKSRC} && ${INSTALL_DATA} ${DOCLIST} ${STAGEDIR}${DOCSDIR})
-	(cd ${WRKSRC}/doc/ && cat index.mdwn > ${STAGEDIR}${DOCSDIR}/HOWTO)
+	(cd ${WRKSRC}/doc/ && ${CAT} index.mdwn > ${STAGEDIR}${DOCSDIR}/HOWTO)
 	(mkdir ${STAGEDIR}${DOCSDIR}/EXAMPLES && cd ${WRKSRC}/lib && \
 	${COPYTREE_SHARE} . ${STAGEDIR}${DOCSDIR}/EXAMPLES)
 

(2)
--- pkg-descr.orig	2020-12-29 09:49:10.378939000 +0100
+++ pkg-descr	2020-12-29 09:36:47.381229000 +0100
@@ -7,4 +7,4 @@
 It supports git, svn, mercurial, bzr, darcs, cvs, fossil and veracity.
 
 Author: Joey Hess
-WWW: http://myrepos.branchable.com/
+WWW: https://myrepos.branchable.com/


(3)
The re-added port needs also an entry in devel/Makefile.

I have modified your patch, there is no need for you to prepare a new one. My next step will be to test it a bit more local on my side and then to create a review on Phabricator. I will let you know ...


BTW: Your ping (comment #2) is better placed on the freebsd-ports@ ML ;)
Comment 4 Chris Hutchinson 2020-12-29 15:46:12 UTC
> -	(cd ${WRKSRC}/doc/ && cat index.mdwn > ${STAGEDIR}${DOCSDIR}/HOWTO)
That's odd. Directly using system commands used to throw a WARN.
I guess I can't be lazy anymore. Thanks for catching that.

> BTW: Your ping (comment #2) is better placed on the freebsd-ports@ ML ;)
Depends on who you talk to. I heard both. But I'll take your
advice as gospel. Thanks, Rainer! :-)

--Chris
Comment 5 commit-hook freebsd_committer 2020-12-29 16:46:21 UTC
A commit references this bug:

Author: rhurlin
Date: Tue Dec 29 16:45:38 UTC 2020
New revision: 559594
URL: https://svnweb.freebsd.org/changeset/ports/559594

Log:
  devel/myrepos: Re-add port and update to 1.20180726

  Changelog: https://git.joeyh.name/index.cgi/myrepos.git/log/?h=1.20180726

  PR:		251921
  Submitted by:	Chris Hutchinson <portmaster@bsdforge.com> (new maintainer)
  Approved by:	arrowd (mentor)
  Differential Revision:	https://reviews.freebsd.org/D27810

Changes:
  head/MOVED
  head/devel/Makefile
  head/devel/myrepos/
  head/devel/myrepos/Makefile
  head/devel/myrepos/distinfo
  head/devel/myrepos/pkg-descr
  head/devel/myrepos/pkg-plist
Comment 6 Rainer Hurling freebsd_committer 2020-12-29 16:48:53 UTC
Committed, thanks!

Have fun :)